<%@ Page Language="VB" Explicit="true" Strict="true" %>
<HTML>
	<body>
		<script runat="server">
		Sub Page_Load(Sender As object, e As EventArgs)
			If Not IsPostBack
				DepartureDate.SelectedDate = System.DateTime.Today
			End If
		End Sub
		
		Sub SearchButton_Click(Sender As object, e As EventArgs)
			If DepartureDate.SelectedDate <= System.DateTime.Today Then
				ResultLabel.Text = "You must selected a Departure Date in the future."
			ElseIf(ReturnDate.SelectedDate < DepartureDate.SelectedDate)
				ResultLabel.Text = "Return Date must follow the Departure Date."
			Else 	
				ResultLabel.Text = "Departing on " & DepartureDate.SelectedDate.ToShortDateString() & _
					" and returning on " & ReturnDate.SelectedDate.ToShortDateString()
			End If
		End Sub
		</script>
		<form runat="server" ID="Form1">
			<h1>Find a Flight</h1>
			<table>
				<tr>
					<td>Departure Date</td>
					<td><asp:Calendar ID="DepartureDate" Runat="server">
							<DayStyle Font-Size="X-Small"></DayStyle>
							<TitleStyle Font-Bold="True"></TitleStyle>
						</asp:Calendar></td>
				</tr>
				<tr>
					<td>Return Date</td>
					<td><asp:Calendar ID="ReturnDate" Runat="server">
							<DayStyle Font-Size="X-Small"></DayStyle>
							<TitleStyle Font-Bold="True"></TitleStyle>
						</asp:Calendar></td>
				</tr>
			</table>
			<asp:Button ID="SearchButton" Runat="server" Text="Search" OnClick="SearchButton_Click" />
			<br>
			<asp:Label ID="ResultLabel" Runat="server" />
		</form>
	</body>
</HTML>
