<%@ Page Language="C#" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server">
void cmdConnect_OnClick(Object sender, EventArgs e) 
{
    //get connection string from dropdown list
    String connectString = ConnectionsList.SelectedItem.Text;
    	
    //create a connection
    SqlConnection sqlConn = null;

    //use try/catch because we may fail to connect
    try
    {			
    	sqlConn = new SqlConnection(connectString);
    	sqlConn.Open();
    		
    	//we connected!
    	lblConnectInfo.Text = "Connection successful!";

	    //do something and then be sure to close the connection...
    }
    catch
    {
    	//was your connection string correct?
    	lblConnectInfo.Text = "Connection failed!";
    }
    finally
    {
    	if (sqlConn != null)
    		sqlConn.Close();
    }	    	
}
</script>
<html>
	<head>
		<title>Recipe1001cs</title>
	</head>
	<body>
		<form id="Recipe1001csForm" method="post" runat="server">
			<b>Note: None of these actually work for this demo.</b><br/>
			<asp:DropDownList id="ConnectionsList" runat="server">
				<asp:listitem value="logonpassword">User ID=user;Password=pass;Initial Catalog=Northwind;Data Source=(local)</asp:listitem>
				<asp:listitem value="IntegratedSecurity">Integrated Security=yes;Initial Catalog=Northwind;Data Source=(local)</asp:listitem>
				<asp:listitem value="DBMSSOCN">User ID=user;Password=pass;Network Library=DBMSSOCN;Data Source=127.0.0.1,1433</asp:listitem>
			</asp:DropDownList>
			<asp:Button id="cmdConnect" onclick="cmdConnect_OnClick" runat="server" Text="Connect"></asp:Button><br />
			<asp:Label id="lblConnectInfo" runat="server"></asp:Label>
		</form>
	</body>
</html>
