<%@ Page Language="VB" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Data" %>
<script runat="server">

Sub UploadImage(sender As Object, e As EventArgs)
	Dim connectionString As String = "Enter your Connection String"
	Dim imageStream As Stream = ImageFile.PostedFile.InputStream
	Dim byteData(ImageFile.PostedFile.ContentLength) As Byte
	Dim objConn As New SqlClient.SqlConnection(ConnectionString)
	Dim cmdText = "INSERT INTO sql_images(Image) VALUES(@image)"
	Dim objCommand As New SqlClient.SqlCommand(cmdText, objConn)
	Dim objParam As New SqlClient.SqlParameter("@image", SqlDbType.Image)

	imageStream.Read(byteData, 0, imageFile.PostedFile.ContentLength)
	objParam.Value = byteData
	objCommand.Parameters.Add(objParam)

	Try
		objConn.Open()
		objCommand.ExecuteNonQuery()
	Catch exc as System.Exception
		ErrorLabel.Text = exc.ToString()
	Finally
		objConn.Close()
		imageStream.Close()
	End Try
End Sub
</script>
<form enctype="multipart/form-data" runat="server">
	<input id="imageFile" runat="server" type="file" /><p>
	<asp:button runat="server" OnClick="UploadImage" Text="Upload" />
	<asp:Label id="ErrorLabel" runat="server" />
</form>
