<%@ Import Namespace="System" %>
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Xml.XPath" %>
<%@ Page Language="VB" %>

<script runat="server">

    ' Insert page code here
    '
    Private Sub Page_Load(Source As Object, E As EventArgs)
    
        Dim sb As New StringBuilder
        Dim space2 As String = "&nbsp;&nbsp;"
        Dim space3 As String = "&nbsp;&nbsp;&nbsp;"
    
        'Create an XmlDocument object and load the xml file...
        Dim _XmlDoc As New XmlDocument()
        _XmlDoc.Load(Server.MapPath("users.xml"))
    
        'Create an XPathNavigator object for the loaded document...
        Dim _Nav As XPathNavigator
        _Nav = _XmlDoc.CreateNavigator()
    
        'Move to the root element...
        _Nav.MoveToRoot()
        sb.Append("<B>Root: </B>")
        sb.Append("name=" + _Nav.Name + ", type=" + _Nav.NodeType.ToString())
        sb.Append("<BR/><BR/>")
        
        'Move to first child element :: Users...
        _Nav.MoveToFirstChild()
        sb.Append("name=" + _Nav.Name + ", type=" + _Nav.NodeType.ToString())
        sb.Append("<BR/>")
        
        'Move to first child element :: User...
        _Nav.MoveToFirstChild()
        
        Do 
            sb.Append(space2)
            sb.Append("name=" + _Nav.Name + ", type=" + _Nav.NodeType.ToString())
            sb.Append("<BR/>")
        
            'Get Attributes...
            _Nav.MoveToFirstAttribute
            sb.Append(space2)
            sb.Append("Attribute: " + _Nav.Name + "=" + _Nav.Value)
            sb.Append("<BR/>")
        
            'Bring the navigator back to attribute parent
            _Nav.MoveToParent()
        
            'Move to first child element :: Username...
            _Nav.MoveToFirstChild()
        
            Do
                sb.Append(space3)
                sb.Append("name=" + _Nav.Name + ", type=" + _Nav.NodeType.ToString() + ", value=" + _Nav.Value)
                sb.Append("<BR/>")        
            Loop While _Nav.MoveToNext()
        
            _Nav.MoveToParent()
                        
        Loop While _Nav.MoveToNext()
        
        OutputLiteral.Text = sb.ToString()
            
    End Sub
    
</script>

<html>
<head>
<title>Using the XPathNavigator for Navigating Xml Documents</title>
</head>
<body>
    <form runat="server">
        <!-- Insert content here -->
        <asp:Literal id="OutputLiteral" runat="server"></asp:Literal>
    </form>
</body>
</html>
