<%@ Page language="VB" %>
<%@ Import Namespace="System.Text" %>
<html>
	<head>
		<script language="VB" runat="server">

  Public Function ConvertBase(ByVal Dec As Int32) As String
    Dim sb As New System.Text.StringBuilder()
    sb.Append("Binary: " & Convert.ToString(Dec, 2) & "<br />")
    sb.Append("Octal: " & Convert.ToString(Dec, 8) & "<br />")
    sb.Append("Decimal: " & Convert.ToString(Dec, 10) & "<br />")
    sb.Append("Hexadecimal: " & Convert.ToString(Dec, 16) & "<br />")
    Return sb.ToString()
  End Function

  Private Sub ConvertNumber_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
    Dim InputText As String = Input.Text
    Dim Dec As Int32 = 0

    Try
      If (BinaryRadioButton.Checked) Then
        Dec = Convert.ToInt32(InputText, 2)
      End If
      If (OctalRadioButton.Checked) Then
        Dec = Convert.ToInt32(InputText, 8)
      End If
      If (DecimalRadioButton.Checked) Then
        Dec = Convert.ToInt32(InputText)
      End If
      If (HexadecimalRadioButton.Checked) Then
        Dec = Convert.ToInt32(InputText, 16)
      End If
      Output.Text = ConvertBase(Dec)
    Catch ex As Exception
      Output.Text = "Error: " & ex.Message
    End Try

  End Sub
		</script>
		<title>Convert Number</title>
	</head>
	<body>
		<form id="ConvertBases" method="post" runat="server">
			<p>
				<table id="Table1" cellSpacing="1" cellPadding="1">
					<tr>
						<td>
							<p>
								<asp:TextBox id="Input" runat="server"></asp:TextBox></p>
							<p>
								<asp:Button id="ConvertNumber" runat="server" Text="Convert" OnClick="ConvertNumber_Click"></asp:Button></p>
						</td>
						<td valign="top">
							<asp:RadioButton id="BinaryRadioButton" Text="Binary" GroupName="Bases" runat="server"></asp:RadioButton><br />
							<asp:RadioButton id="OctalRadioButton" Text="Octal" GroupName="Bases" runat="server"></asp:RadioButton><br />
							<asp:RadioButton id="DecimalRadioButton" Text="Decimal" Checked="True" GroupName="Bases" runat="server"></asp:RadioButton><br />
							<asp:RadioButton id="HexadecimalRadioButton" Text="Hexadecimal" GroupName="Bases" runat="server"></asp:RadioButton>
						</td>
					</tr>
					<tr>
						<td colspan="2">&nbsp;</td>
					</tr>
					<tr>
						<td colspan="2">
							<p>
								<asp:Label id="Output" runat="server"></asp:Label></p>
						</td>
					</tr>
				</table>
			</p>
		</form>
	</body>
</html>
