<%@ Page Language="c#" %>
<html>
	<title>Finding the Log of a number</title>
	<head>
		<script language="c#" runat="server">
	void GetLogButton_Click(Object sender,EventArgs e) 
	{
		try
		{
			if (Log10RadioButton.Checked )
			{
				ResultLabel.Text="Log10(" + numberTextBox.Text +")  = " + Math.Log10(Convert.ToDouble(numberTextBox.Text));
			}
			else if (LogRadioButton.Checked) 
			{
				ResultLabel.Text="Log(" + numberTextBox.Text +") = " + Math.Log(Convert.ToDouble(numberTextBox.Text));
			}
			else if (LoganyBaseRadioButton.Checked) 
			{
				ResultLabel.Text="Log" + numberTextBox.Text + "(" + baseTextBox.Text+ ") = " + 
					Math.Log(Convert.ToDouble(numberTextBox.Text),Convert.ToDouble(baseTextBox.Text));
			}
		}
		catch (Exception Ex)
		{
			ResultLabel.Text = Ex.Message;
		}

	}
  
		</script>
	</head>
	<body>
		<form runat="server">
			<h3>Finding Log of Number</h3>
			Enter Number For value:
			<asp:TextBox id="numberTextBox" runat="server" /></br> Enter Number For Base:
			<asp:TextBox id="baseTextBox" runat="server" /></br>
			<asp:RadioButton id="Log10RadioButton" text="Log10" checked="true" GroupName="radiolog" runat="server" /><br />
			<asp:RadioButton id="LogRadioButton" text="Log" GroupName="radiolog" runat="server" /><br />
			<asp:RadioButton id="LoganyBaseRadioButton" text="Log for Base in TextBox2" GroupName="radiolog" runat="server" /><br />
			<asp:Button id="GetLogButton" onclick="GetLogButton_Click" runat="server" text="Click" /></br>
			<asp:Label id="ResultLabel" runat="server" />
		</form>
	</body>
</html>
