<%@ Page Language="vb" Debug="true" %>
<%@ Import Namespace="System" %>
<%@ Import Namespace="System.Math" %>
<html>
	<title>Finding Log of a number</title>
	<head>
		<script language="vb" runat="server">
        Sub GetLogButton_click(ByVal sender As Object, ByVal e As System.EventArgs)
            Try
                If Log10RadioButton.Checked Then
                    ResultLabel.Text = "Log10(" & numberTextBox.Text & ")=" & Math.Log10(CDbl(numberTextBox.Text))
                ElseIf LogRadioButton.Checked Then
                    ResultLabel.Text = "Log(" & numberTextBox.Text & ")=" & Math.Log(CDbl(numberTextBox.Text))
                ElseIf LoganyBaseRadioButton.Checked Then
                    ResultLabel.Text= " Log" & baseTextBox.Text & "(" & numberTextBox.Text & ")=" & Math.Log(CDbl(numberTextBox.Text),CDbl(baseTextBox.Text))
                End If
            Catch ex As Exception
                ResultLabel.Text = ex.message
            End Try
        End Sub
		</script>
	</head>
	<body>
		<form runat="server">
			<h3>Finding Log of Number</h3>
			Enter Number For value :
			<asp:TextBox id="numberTextBox" runat="server" /></br> Enter Number For Base:
			<asp:TextBox id="baseTextBox" runat="server" /></br>
			<asp:RadioButton id="Log10RadioButton" Text="Log10" checked="true" GroupName="RadioLog" runat="server" /><br />
			<asp:RadioButton id="LogRadioButton" Text="Log" GroupName="RadioLog" runat="server" /><br />
			<asp:RadioButton id="LoganyBaseRadioButton" Text="Log for base in TextBox2" GroupName="RadioLog" runat="server" /><br />
			<asp:Button id="GetLogButton" onclick="GetLogButton_click" runat="server" Text="Click" /></br>
			<asp:Label id="ResultLabel" runat="server" />
		</form>
	</body>
</html>
