﻿<%@ Page Language="vb" Debug="true" %>
<%@ Import Namespace="System" %>
<%@ Import Namespace="System.Math" %>
<html>
	<title>Trigonometric Functions</title>
	<head>
		<script language="VB" runat="server">
		Sub Button1_Click(sender As Object, e As EventArgs) 
			Try
				If RadSin.Checked Then
					LblValue.Text = "Sin " & TxtInput.Text & " = "
					LblValue.Text &= Math.Round(Math.Sin(Ctype(TxtInput.Text,Double) * (Math.PI/180)),3)
				Else if RadCos.Checked Then
					LblValue.Text = "Cos " & TxtInput.Text & " = "
					LblValue.Text &= Math.Round(Math.Cos(Ctype(TxtInput.Text,Double) * (Math.PI/180)),3)
				Else if RadTan.Checked Then
					LblValue.Text = "Tan " & TxtInput.Text & " = "
					LblValue.Text &= Math.Round(Math.Tan(Ctype(TxtInput.Text,Double) * (Math.PI/180)),3)
				End if
			Catch Ex as Exception
				LblValue.Text= "<font color=red>Error:" & Ex.Message
			End Try
		End Sub
		</script>
	</head>
	<body>
		<h3><font face="Verdana">Trigonometric Functions Recipe</font></h3>
		<form runat="server">
			Please enter angle:
			<asp:TextBox id="TxtInput" runat="server" /><br />
			<asp:RadioButton id="RadSin" Text="Sin" Checked="True" GroupName="RadioTrigo" runat="server" /><br />
			<asp:RadioButton id="RadCos" Text="Cosine" GroupName="RadioTrigo" runat="server" /><br />
			<asp:RadioButton id="RadTan" runat="server" Text="Tangent" GroupName="RadioTrigo" /><br />
			<asp:Button id="BtnCheck" Text="Click Me" onclick="Button1_Click" runat="server" /><br />
			<br />
			<asp:Label id="LblValue" runat="server" />
		</form>
	</body>
</html>
