<%@ Page Language="VB" %>
<%@ import Namespace="System.IO" %>
<script runat="server">

    Dim objBinaryWriter As BinaryWriter
    Dim objBinaryReader As BinaryReader
    
    Sub WriteButton_Click(sender As Object, e As EventArgs)
        Dim objFileStream As FileStream
        Try
               objFileStream = New FileStream("C:\myFileVB.bin", FileMode.Create)
               objBinaryWriter = New BinaryWriter(objFileStream)
    
               Dim Name As String = NameTextBox.Text
               Dim Age As Integer = Int32.Parse(AgeTextBox.Text)
               Dim Sex As Char = Char.Parse(SexTextBox.Text)
    
               objBinaryWriter.Write(Name)
               objBinaryWriter.Write(Age)
               objBinaryWriter.Write(Sex)
    
        Catch FileEx As FileNotFoundException
            MessageLabel.Text = FileEx.Message()
            Exit Sub
        Catch Ex As Exception
            MessageLabel.Text = Ex.Message()
            Exit Sub
        Finally
            objBinaryWriter.Close()
        End Try
    
        WriteBinaryPanel.Visible = False
        ReadBinaryPanel.Visible = True
    
    End Sub
    
	Sub ReadButton_Click(Sender As Object, e As EventArgs)

		Dim objFileStream As FileStream

		Try
				objFileStream = New FileStream("C:\myFileVB.bin", FileMode.Open)
				objBinaryReader = New BinaryReader(objFileStream)

				NameLabel.Text = "Your Name: " & objBinaryReader.ReadString()
				AgeLabel.Text = "Your Age: " & objBinaryReader.ReadInt32()
				SexLabel.Text = "Your Sex: " & objBinaryReader.ReadChar()
		Catch FileEx As FileNotFoundException
			MessageLabel.Text = FileEx.Message()
			Exit Sub
		Catch Ex As Exception
			MessageLabel.Text = Ex.Message()
			Exit Sub
		Finally
			objBinaryReader.Close()
		End Try

	End Sub

</script>
<html>
	<head>
	</head>
	<body>
		<form runat="server">
			<p>
				<asp:Panel id="WriteBinaryPanel" Runat="Server">
					<p>
						Please enter your Name:
						<asp:TextBox id="NameTextBox" runat="server"></asp:TextBox>
					</p>
					<p>
						Please enter your Age:
						<asp:TextBox id="AgeTextBox" runat="server"></asp:TextBox>
					</p>
					<p>
						Please enter your Sex:
						<asp:TextBox id="SexTextBox" runat="Server" MaxLength="1" Columns="1"></asp:TextBox>
						(M/F)
					</p>
					<p>
						<asp:Button id="WriteButton" onclick="WriteButton_Click" runat="server" Text="Write It!"></asp:Button>
					</p>
				</asp:Panel>
				<asp:Panel id="ReadBinaryPanel" Runat="Server" Visible="False">
					<p>
						<asp:Button id="ReadButton" onclick="ReadButton_Click" runat="server" Text="Read It!"></asp:Button>
					</p>
					<p>
						<asp:Label id="NameLabel" Runat="Server"></asp:Label>
					</p>
					<p>
						<asp:Label id="AgeLabel" Runat="Server"></asp:Label>
					</p>
					<p>
						<asp:Label id="SexLabel" Runat="Server"></asp:Label>
					</p>
				</asp:Panel>
			</p>
			<p>
				<asp:Label id="MessageLabel" runat="server" Font-Size="Large" ForeColor="Red" Font-Bold="True" EnableViewState="False"></asp:Label>
			</p>
		</form>
	</body>
</html>
