<%@ Import Namespace="System" %>
<%@ Import Namespace="System.IO" %>
<%@ Page Language="C#" %>
<script runat="server">

    void Page_Load(Object Source, EventArgs E)
    {
        MessageLiteral.Text = "";
    }
    
    void DeleteFile(Object Source, EventArgs E)
    {
        //Create an instance of FileInfo class
        FileInfo fileSource = new FileInfo(FileNameTextBox.Text);
    
        //Delete the file if it exists 
	try{
	        if (fileSource.Exists)
		{
	            //fileSource.Delete();  uncomment to activate
	            MessageLiteral.Text = "File has been deleted.";
		}
	        else
	            MessageLiteral.Text = FileNameTextBox.Text + " does not exist.";
	}
	catch (Exception _Error){
		MessageLiteral.Text = _Error.Message;
	}
    }

</script>
<html>
	<head>
		<title>Deleting a File</title>
	</head>
	<body>
		<form runat="server">
			<h4>Type Path/Name of file to delete it (disabled for live demo)
			</h4>
			<p>
				<asp:TextBox id="FileNameTextBox" runat="server"></asp:TextBox>
				&nbsp;<asp:Button id="DeleteFileButton" onclick="DeleteFile" runat="server" Text="Delete File"></asp:Button>
			</p>
			<p>
				<asp:Literal id="MessageLiteral" runat="server"></asp:Literal>
			</p>
		</form>
	</body>
</html>
