<%@ Page %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Net" %>
<script language="VB" runat="server">

Private Sub SubmitButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
	Dim RequestUrl As String = "http://www.amazon.com/exec/obidos/search-handle-form"
	Dim Post As String = "field-keywords=" & SearchText.Text
	Dim Writer As StreamWriter = Nothing

	Dim WebRequestObject As HttpWebRequest
	Dim sr As StreamReader
	Dim WebResponseObject As HttpWebResponse
	
	Try
		WebRequestObject = CType(WebRequest.Create(RequestUrl), HttpWebRequest)
		WebRequestObject.Method = "POST"
		WebRequestObject.ContentType = "application/x-www-form-urlencoded"
		WebRequestObject.ContentLength = Post.Length
		Writer = New StreamWriter(WebRequestObject.GetRequestStream())
		Writer.Write(Post)
		Writer.Close()

		WebResponseObject = CType(WebRequestObject.GetResponse(), HttpWebResponse)
		sr = New StreamReader(WebResponseObject.GetResponseStream)

		Dim Results as string = sr.ReadToEnd
		WebResponseLabel.Text = Results
		WebResponseText.Text = Results
	Finally
		Try
			sr.Close()
		Catch
		End Try
		
		Try
			WebResponseObject.Close()
			WebRequestObject.Abort()
		Catch
		End Try
	End Try
End Sub

</script>
<html>
	<head>
		<title></title>
	</head>
	<body>
		<form runat="server">
			Search Amazon for:
			<asp:TextBox Runat="server" ID="SearchText" Text="asp.net cookbook" />
			<asp:Button Runat="server" ID="SubmitButton" Text="Get Amazon.com Search Results" OnClick="SubmitButton_Click" /><br>
			<asp:TextBox Runat="server" id="WebResponseText" Width="780" Height="300" TextMode="MultiLine" />
			<asp:Label Runat="server" ID="WebResponseLabel" />
		</form>
	</body>
</html>
