<%@ Page Language="C#" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Drawing.Drawing2D" %>
<%@ Import Namespace="System.Drawing.Imaging" %>
<script language="C#" runat="server">
private void Page_Load(object sender, System.EventArgs e)
{
	Bitmap outputBitmap = new Bitmap( Server.MapPath("Recipe2209.jpg") );
	int gray = 0;

	for (int x = 0; x < outputBitmap.Width; x++)
	{
		for (int y = 0; y < outputBitmap.Height; y++)
		{
			gray = outputBitmap.GetPixel(x, y).R;
			gray += outputBitmap.GetPixel(x, y).G;
			gray += outputBitmap.GetPixel(x, y).B;
			gray = gray / 3;

			outputBitmap.SetPixel(x, y, Color.FromArgb( gray, gray, gray ));
		}
	}

	Response.ContentType = "image/jpeg";
	outputBitmap.Save(Response.OutputStream, ImageFormat.Jpeg);
	outputBitmap.Dispose();
}
</script>
