<%@ Page Language="C#" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Drawing.Drawing2D" %>
<%@ Import Namespace="System.Drawing.Imaging" %>
<script language="C#" runat="server">
private void Page_Load(object sender, System.EventArgs e)
{
	Bitmap outputBitmap = new Bitmap( Server.MapPath("Recipe2210.jpg") );
	int invertedRed = 0;
	int invertedGreen = 0;
	int invertedBlue = 0;

	for (int x = 0; x < outputBitmap.Width; x++)
	{
		for (int y = 0; y < outputBitmap.Height; y++)
		{
			invertedRed = 255 - outputBitmap.GetPixel(x, y).R;
			invertedGreen = 255 - outputBitmap.GetPixel(x, y).G;
			invertedBlue = 255 - outputBitmap.GetPixel(x, y).B;

			outputBitmap.SetPixel(x, y, Color.FromArgb( invertedRed, invertedGreen, invertedBlue ));
		}
	}

	Response.ContentType = "image/jpeg";
	outputBitmap.Save(Response.OutputStream, ImageFormat.Jpeg);
	outputBitmap.Dispose();
}
</script>
