<%@ Page %>
<script language="C#" runat="server">
protected DropDownList ColorDropDownList;

private void Page_Load(object sender, System.EventArgs e)
{
	// Instantiate the control
	ColorDropDownList = new DropDownList();
	// Add an item using a string
	ColorDropDownList.Items.Add("Blue");
	// Add an instance of a ListItem constructed with a string
	ColorDropDownList.Items.Add(new ListItem("Green"));
	// Add an instance of a ListItem constructed with a text and a value
	ColorDropDownList.Items.Add(new ListItem("Red","Red"));
	// Add a blank item to the top of the list
	ColorDropDownList.Items.Insert(0, new ListItem(""));
	// Set the selected item
	ColorDropDownList.Items[0].Selected = true;
	// Add the control to a PlaceHolder on the page
	PlaceHolder1.Controls.Add(ColorDropDownList);
}
</script>
<html>
	<head>
		<title>Recipe 1.09</title>
	</head>
	<body>
		<form runat="server">
			<asp:PlaceHolder id="PlaceHolder1" runat="server"></asp:PlaceHolder>
		</form>
	</body>
</html>
