using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;

namespace AspNetCookbook
{
	[DefaultProperty("Text"), 
		ToolboxData("<{0}:Recipe0301cs runat=server></{0}:Recipe0301cs>")]
	public class SimpleControl : System.Web.UI.WebControls.WebControl
	{
		private string _text;
	
		[Bindable(true), 
			Category("Appearance"), 
			DefaultValue("")] 
		public string Text 
		{
			get
			{
				return _text;
			}

			set
			{
				_text = value;
			}
		}

		protected override void Render(HtmlTextWriter output)
		{
			output.Write(Text);
		}
	}
}
