<%@ Page %>
<script language="vb" runat="server">
Sub Page_Init(sender As Object, e As EventArgs)
	If (Not Request.Cookies("UserName") Is Nothing) AndAlso _
		(Not Request.Cookies("UserName").Value Is Nothing) Then
		UserNameLabel.Text = Request.Cookies("UserName").Value
	End If
End Sub

Sub SaveButton_Click(sender As Object, e As EventArgs)
	Response.Cookies("UserName").Value = UserNameTextBox.Text
	If PersistCookieCheckBox.Checked Then
		Response.Cookies("UserName").Expires = System.DateTime.Now.AddDays(1) ' persist for 1 day
	End If
	UserNameLabel.Text = UserNameTextBox.Text 'cookie won't be in Request.Cookies until next PostBack
End Sub

Sub DeleteButton_Click(sender As Object, e As EventArgs)
	Response.Cookies("UserName").Expires = System.DateTime.Now.AddDays(-1)
End Sub	
</script>
<html>
	<body>
		<form id="Recipe0703cs" method="post" runat="server">
			<P>
				Update UserName in Cookie:
				<asp:TextBox id="UserNameTextBox" runat="server"></asp:TextBox>
				<asp:Button id="SaveButton" runat="server" Text="Save" OnClick="SaveButton_Click"></asp:Button>
				<asp:CheckBox id="PersistCookieCheckBox" runat="server" text="Persist Cookie?"></asp:CheckBox>
			</P>
			<P>
				Current Cookie Contents:
				<br>
				<asp:Label ID="UserNameLabel" Runat="server" EnableViewState="False"></asp:Label>
				<br>
				<asp:Button id="RefreshButton" runat="server" Text="Refresh Without Saving"></asp:Button>
				<p>
				Deleting the cookie will take effect on the *next* postback, since the cookie information is still in Request.Cookies for the
				duration of the PostBack once the Delete button is clicked.  Click it once, then click the "Refresh Without Saving" button.
				</p>
				<asp:Button id="DeleteButton" runat="server" Text="Delete Cookie" OnClick="DeleteButton_Click"></asp:Button>
			</P>
			<a href="recipe0703cs.aspx">C# Version</a>
		</form>
	</body>
</html>
