<%@ Page Language="VB" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server">
Sub cmdConnect_OnClick(sender As Object, e As EventArgs)
    'get connection string from dropdown list
    Dim connectString As [String] = ConnectionsList.SelectedItem.Text
    
    'create a connection
    Dim sqlConn As SqlConnection = Nothing 
    
    'use try/catch because we may fail to connect
    Try
		sqlConn = New SqlConnection(connectString)
        sqlConn.Open()
        
        'we connected!
        lblConnectInfo.Text = "Connection successful!"
    Catch
        'was your connection string correct?
        lblConnectInfo.Text = "Connection failed!"
    Finally
		If Not sqlConn Is Nothing Then
			sqlConn.Close()
		End If
    End Try
End Sub
</script>
<html>
	<head>
	</head>
	<body>
		<form id="Recipe1001vb" method="post" runat="server">
			<b>Note: None of these actually work for this demo.</b><br/>
			<asp:DropDownList id="ConnectionsList" runat="server">
				<asp:listitem value="logonpassword">User ID=user;Password=pass;Initial Catalog=Northwind;Data Source=(local)</asp:listitem>
				<asp:listitem value="IntegratedSecurity">Integrated Security=yes;Initial Catalog=Northwind;Data Source=(local)</asp:listitem>
				<asp:listitem value="DBMSSOCN">User ID=user;Password=pass;Network Library=DBMSSOCN;Data Source=127.0.0.1,1433</asp:listitem>
			</asp:DropDownList>
			<asp:Button id="cmdConnect" onclick="cmdConnect_OnClick" runat="server" Text="Connect"></asp:Button><br />
			<asp:Label id="lblConnectInfo" runat="server"></asp:Label>
		</form>
	</body>
</html>
