<%@ Page %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Recipe1301</title>
		<script runat="server">
	private void LoadButton_Click(object sender, System.EventArgs e) {
		System.IO.Stream xmlDocStream = GetXmlDoc(XmlSourceTextBox.Text);
		System.Xml.XmlDocument xmlSource = new System.Xml.XmlDocument();
		xmlSource.Load(xmlDocStream);
		ResultText.Text=xmlSource.InnerXml;
	}
	public static System.IO.Stream GetXmlDoc(string xmlsource) {
		///first determine if xml source is actual raw xml or if it is a url or file path
		System.IO.Stream stream=null;
		if(xmlsource.StartsWith("<?xml") || xmlsource.StartsWith("<schema") ) {
		//raw xml
		stream = new System.IO.MemoryStream(System.Text.ASCIIEncoding.ASCII.GetBytes(xmlsource));
		} else {
		//lets try to load it up in a System.URI
		try {
			System.Uri xmluri = new System.Uri(xmlsource);          
			if(xmluri.IsFile) {
			//file
			stream = new System.IO.FileStream(xmlsource, System.IO.FileMode.Open);
			} else {
			//url
			System.Net.HttpWebRequest request =  (System.Net.HttpWebRequest) System.Net.WebRequest.Create(xmluri);
			System.Net.WebResponse response = request.GetResponse();      
			stream = response.GetResponseStream();
			}
		}catch(Exception e) {
			//not a valid uri
		}
		}
		return stream;
	}
		</script>
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			Enter an XML filename or just some raw XML starting with &lt;?xml:<br />
			<asp:textbox id="XmlSourceTextBox" runat="server" Width="377px" Height="162px" TextMode="MultiLine"></asp:textbox><br />
			<asp:button id="LoadButton" runat="server" Text="Load XML Document" OnClick="LoadButton_Click"></asp:button><br />
			<asp:TextBox id="ResultText" runat="server" Width="381px" Height="194px" TextMode="MultiLine"></asp:TextBox>
		</form>
	</body>
</HTML>
