<%@ Page %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Recipe1301</title>
		<script runat="server">
        Private Sub LoadButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
            Dim xmlDocStream As System.IO.Stream = GetXmlDoc(XmlSourceTextBox.Text)
            Dim xmlSource As New System.Xml.XmlDocument()
            xmlSource.Load(xmlDocStream)
            ResultText.Text = xmlSource.InnerXml
        End Sub

        Public Shared Function GetXmlDoc(ByVal xmlsource As String) As System.IO.Stream
            '/first determine if xml source is actual raw xml or if it is a url or file path
            Dim stream As System.IO.Stream = Nothing
            If xmlsource.StartsWith("<?xml") Or xmlsource.StartsWith("<schema") Then
                'raw xml
                stream = New System.IO.MemoryStream(System.Text.ASCIIEncoding.ASCII.GetBytes(xmlsource))
            Else
                'lets try to load it up in a System.URI
                Try
                    Dim xmluri As New System.Uri(xmlsource)
                    If xmluri.IsFile Then
                        'file
                        stream = New System.IO.FileStream(xmlsource, System.IO.FileMode.Open)
                    Else
                        'url
                        Dim request As System.Net.HttpWebRequest = CType(System.Net.WebRequest.Create(xmluri), System.Net.HttpWebRequest)
                        Dim response As System.Net.WebResponse = request.GetResponse()
                        stream = response.GetResponseStream()
                    End If
                Catch e As Exception
                End Try 'not a valid uri
            End If
            Return stream
        End Function 'GetXmlDoc
	
		</script>
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			Enter an XML filename or just some raw XML starting with &lt;?xml:<br />
			<asp:textbox id="XmlSourceTextBox" runat="server" Width="377px" Height="162px" TextMode="MultiLine"></asp:textbox><br />
			<asp:button id="LoadButton" runat="server" Text="Load XML Document" OnClick="LoadButton_Click"></asp:button><br />
			<asp:TextBox id="ResultText" runat="server" Width="381px" Height="194px" TextMode="MultiLine"></asp:TextBox>
		</form>
	</body>
</HTML>
