<%@ Import Namespace="System" %>
<%@ Import Namespace="System.Xml" %>
<%@ Page Language="VB" %>
<script runat="server">
    Public Sub Page_Load(Source As Object, E As EventArgs)
            Dim _Writer As New XmlTextWriter(Server.MapPath("users.xml"), Nothing)
    
            'Default formatting property is None
            _Writer.Formatting = Formatting.Indented
    
            Try
                _Writer.WriteStartDocument(True)
                _Writer.WriteStartElement("users")
    
                Call WriteUsers(_Writer)
    
                _Writer.WriteEndElement()
                MessageLabel.Text = "File successfully created..."
    
            Catch _Error As Exception
                MessageLabel.Text = _Error.Message
    
            Finally
                _Writer.Flush()
                _Writer.Close()
    
            End Try
    End Sub
    
    Public Sub WriteUsers(ByRef _output As XmlTextWriter)
            With _output
    
                'First user...
                .WriteStartElement("user")
                .WriteAttributeString("role", "admin")
    
                .WriteStartElement("username")
                .WriteString("jsmith")
                .WriteEndElement()
                .WriteStartElement("password")
                .WriteString("john")
                .WriteEndElement()
                
                .WriteEndElement()
    
                'Second user...
                .WriteStartElement("user")
                .WriteAttributeString("role", "operator")
    
                .WriteStartElement("username")
                .WriteString("tcruise")
                .WriteEndElement()
                .WriteStartElement("password")
                .WriteString("tom")
                .WriteEndElement()
    
                .WriteEndElement()
            End With
    End Sub
</script>
<html>
	<head>
		<title>Writing an XML document using the XmlTextWriter</title>
	</head>
	<body>
		<form runat="server">
			<asp:Label id="MessageLabel" runat="server"></asp:Label>
			<hr>
			<a href="users.xml">users.xml</a>
		</form>
	</body>
</html>
