<%@ Page Language="vb" %>
<script runat="server">
Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)
    Dim CustomClass As Recipe1407ClassVB
    CustomClass = New Recipe1407ClassVB()
    Response.Write(String.Format("Recipe1407ClassVB(), Chapter: {0}, Title: {1}, Subtitle: {2}<br/>", CustomClass.Chapter, CustomClass.Title, CustomClass.SubTitle))
    CustomClass = New Recipe1407ClassVB("Multiple Constructors")
    Response.Write(String.Format("Recipe1407ClassVB(""Multiple Constructors""), Chapter: {0}, Title: {1}, Subtitle: {2}<br/>", CustomClass.Chapter, CustomClass.Title, CustomClass.SubTitle))
    CustomClass = New Recipe1407ClassVB("Multiple Constructors", "Two parameters")
    Response.Write(String.Format("Recipe1407ClassVB(""Multiple Constructors"", ""Two parameters""), Chapter: {0}, Title: {1}, Subtitle: {2}<br/>", CustomClass.Chapter, CustomClass.Title, CustomClass.SubTitle))
End Sub
Public Class Recipe1407ClassVB
    Private _Title As String
    Private _Chapter As Integer
    Private _SubTitle As String

    Public Sub New()
        _Chapter = 14
    End Sub
    Public Sub New(ByVal title As String)
        MyClass.New()
        _Title = title
    End Sub
    Public Sub New(ByVal title As String, ByVal subTitle As String)
        MyClass.New()
        _Title = title
        _SubTitle = subTitle
    End Sub

    Public Property Title() As String
        Get
            Return _Title
        End Get
        Set(ByVal Value As String)
            _Title = Value
        End Set
    End Property
    Public Property Chapter() As Integer
        Get
            Return _Chapter
        End Get
        Set(ByVal Value As Integer)
            _Chapter = Value
        End Set
    End Property
    Public Property SubTitle() As String
        Get
            Return _SubTitle
        End Get
        Set(ByVal Value As String)
            _SubTitle = Value
        End Set
    End Property
End Class

</script>
<html>
	<head>
		<title>Creating Multiple Constructors For a Class</title>
	</head>
	<body>
		<form runat="server">
		</form>
	</body>
</html>
