<%@ Page Language="VB" debug="true" %>
<%@ Import Namespace="System.IO" %>
<script language="VB" runat="server">
  Protected Sub Page_Load([Source] As Object, e As EventArgs)
    LineCounter.Text = CountLinesFromFile(Server.MapPath("starwarquotes.txt"))
  End Sub

  Private Function CountLinesFromFile(ByVal filename As String) As String
    Dim result As String
    Dim sr As StreamReader =  Nothing 
    Try
      Dim lineCount As Integer =  1 
      sr = File.OpenText(filename)
      While Not sr.ReadLine() Is Nothing
        lineCount = lineCount + 1
      End While
      result = lineCount.ToString()
    Catch ex As Exception
      result = ex.Message
    Finally
      If Not sr Is Nothing Then
         sr.Close()
      End If
    End Try

    Return result
  End Function

</script>
<html>
	<body>
		<form runat="server">
			<asp:Label id="LineCounter" runat="server" />
		</form>
	</body>
</html>
