<%@ WebService Language="c#" Class="AspNetCookbook.Recipe1904cs" %>
using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Web;
using System.Web.Services;
using System.IO;

namespace AspNetCookbook {

  [WebService(Namespace="http://www.aspalliance.com/webservices/public/images/", Description="Demonstration of returning an image, in a Web Service using the .NET Framework.")]
  public class Recipe1904cs: System.Web.Services.WebService {

    [WebMethod(Description="Get an Image using Base64 Encoding")]
    public byte[] GetImage() {
      return getBinaryFile(Server.MapPath("aspalliance_logo.gif"));
    }
    public byte[] getBinaryFile(string filename) {
      if(File.Exists(filename)) {
        try {
          FileStream s=File.OpenRead(filename);
          return ConvertStreamToByteBuffer(s);
        } catch(Exception e) {
          return new byte[0];
        }
      } else {
        return new byte[0];
      }
    }

    public byte[] ConvertStreamToByteBuffer(System.IO.Stream theStream) {
      byte[] bytes = new byte[theStream.Length];
      theStream.Read(bytes, (int)0, (int)theStream.Length);
      return bytes;
    }
  }
}