<%@ Page language="vb" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Drawing.Imaging" %>
<%@ Import Namespace="System.Drawing.Drawing2D" %>
<%@ Import Namespace="System.Drawing.Text" %>
<script runat="server">

		Public Sub Page_Load(sender as object, e as System.EventArgs )
		

			'create a new bitmap image
			Dim OutputBitmap = new Bitmap(320,200)
			Dim DrawGraphic = Graphics.FromImage(OutputBitmap)

			'blank the bitmap
			DrawGraphic.Clear(Color.Beige)
			DrawGraphic.SmoothingMode = SmoothingMode.AntiAlias

			'create pens and brushes
			Dim BluePen = new Pen(Color.DarkBlue,5)
			Dim BlackPen = new Pen(Color.Black,4)
			Dim WhitePen = new Pen(Color.FromArgb(150,255,255,255),4)
			Dim RedBrush = new SolidBrush(Color.Red)
			Dim YellowBrush = new SolidBrush(Color.Yellow)
			Dim GreenBrush = new SolidBrush(Color.Green)
			Dim AlphaBrush = new SolidBrush(Color.FromArgb(100, 0, 0, 0))
			
			'draw output
			DrawGraphic.DrawRectangle(BluePen,10,10,300,180)     
			DrawGraphic.DrawRectangle(WhitePen,8,8,300,180)
			DrawGraphic.DrawRectangle(BlackPen,12,12,300,180)
			DrawGraphic.DrawRectangle(BluePen,10,10,300,180)
			DrawGraphic.DrawRectangle(BluePen,10,10,300,180)
			DrawGraphic.DrawRectangle(WhitePen,30,80,100,100)
			DrawGraphic.DrawRectangle(WhitePen,50,25,100,100)
			DrawGraphic.DrawRectangle(WhitePen,130,80,100,100)
			DrawGraphic.DrawRectangle(WhitePen,150,25,100,100)
			
			DrawGraphic.FillEllipse(AlphaBrush, 52,52,50,50)
			DrawGraphic.FillEllipse(AlphaBrush, 172,72,50,50)
			DrawGraphic.FillEllipse(AlphaBrush, 252,82,50,50)

			DrawGraphic.FillEllipse(RedBrush, 50,50,50,50)
			DrawGraphic.FillEllipse(YellowBrush, 170,70,50,50)
			DrawGraphic.FillEllipse(GreenBrush, 250,80,50,50)

			' set the mime type
			Response.Clear()
			Response.ContentType="image/jpeg"

			' send the image to the viewer
			OutputBitmap.Save(Response.OutputStream, ImageFormat.Jpeg)

			' clean up
			OutputBitmap.Dispose()
			DrawGraphic.Dispose()
		
		End Sub

</script>
