﻿<%@ Page language="c#" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Drawing.Imaging" %>
<%@ Import Namespace="System.Drawing.Drawing2D" %>
<%@ Import Namespace="System.Drawing.Text" %>
<script runat="server">

		private void Page_Load(object sender, System.EventArgs e)
		{


			// Initialize variables.
			int boxWidth = 100;
			int boxHeight = 100;
			double scale=0;

			// Set the filename.
			string fileName;
			fileName = Server.MapPath("aspalliance_logo.gif");

			
			// create a new bitmap image
			Bitmap InputBitmap = new Bitmap(fileName);
			
			
			// work out new sizes
			if(InputBitmap.Height < InputBitmap.Width)
			{
				scale = ((double)boxHeight)/InputBitmap.Width;
			}
			else
			{
				scale = ((double)boxWidth)/InputBitmap.Height;
			}
			   
			// Set new width and height.
			int newWidth = (int)(scale*InputBitmap.Width);
			int newHeight = (int)(scale*InputBitmap.Height);
	
			// create a new image from original
			Bitmap OutputBitmap = new Bitmap(InputBitmap, newWidth, newHeight);

			// set the mime type
			Response.Clear();
			Response.ContentType="image/Gif";

			// send the image to the viewer
			OutputBitmap.Save(Response.OutputStream, ImageFormat.Gif);

			// clean up
			OutputBitmap.Dispose();
			InputBitmap.Dispose();
			
		
		}

</script>
